$('.network_list').empty().html("<%= escape_javascript(render partial: '/network_trackers/network_list', locals: { '@upcoming': @upcoming, '@past': @past }) %>")
// console.log($('.tracker').children().find('.article-content .tabbar li.presentation'));
// $('.tracker').children('.article-content .tabbar li.presentation').each(function(){
//     if($(this).hasClass('active')){
//         $(this).trigger('click')
//     }
// })

$(function() {
    $("img.lazy").lazyload();
  });

// $('.tracker').children('div.article-content').children('div.tabbar').children('ul.nav.nav-tabs').children('li.active').click()
$('.network_list div.tab-content div').each(function(e){
    console.log($(this));
    $(this).removeClass('active')
})
if($('#upcoming').hasClass('active')){
    $('#tab1').addClass('active')
}else{
    $('#tab2').addClass('active')
}
$('.start_time').on('focus', function(){
    console.log("======focus=========");
    $('.start_time').timepicker({ defaultTime: '12:00 am', placeholder: 'Select Time'});
})
$('.end_time').on('focus', function(){
    console.log("======focus=========");
    $('.end_time').timepicker({ defaultTime: '12:15 am', placeholder: 'Select Time'});
})

function minFromMidnight(tm){
 var ampm= tm.substr(-2)
 var clk = tm.substr(0, 5);
 var m  = parseInt(clk.match(/\d+$/)[0], 10);
 var h  = parseInt(clk.match(/^\d+/)[0], 10);
 h += (ampm.match(/pm/i))? 12: 0;
 return h*60+m;
}
if($('.start_time').hasClass('error') || $('.end_time').hasClass('error')){
    $('.save_meeting').off('click')
    $('.save_meeting').addClass('disabled')
}
// $('.start_time').click(function(){$(this).timepicker({defaultTime: "15:05 pm"})})
// $('.timepicker').timepicker({ placeholder: 'Select'})
$( ".select_company" ).select2({
    // theme: "bootstrap"
    placeholder: 'Select Company',
    tags: true,
    // allowClear: true,
    // minimumInputLength: 3,
    ajax: {
        // url: '/companies/company_select2',
        url: '/companies/company_select2',
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.company_name,
                        // slug: item.slug,
                        id: item.company_name
                    }
                })
            };
        }
    }
});

$('.save_meeting').on('click', function(){
    if($('.network_tracker_form').valid()){
        $('.network_tracker_form').submit();
    }
})
get_meeting_info();
delete_meeting();
clear_network_search();
validate_forms()
